module eink(clk_eink, DC, CS, DIN, RST, BUSY);

input red, black, clk_eink;
output DC, CS, DIN, RST, BUSY, eink_clk;

reg dc_r, cs_r, din_r, rst_r, busy_r;

//Club 2 below for creating hex
//    black - 0    white - 1    green - 2    blue - 3    red - 4    yellow - 5    orange - 6

parameter OFF=8h'02, OFFD=8h'00;
parameter ON=8h'04;
parameter SLEEP=8h'07, SLEEPD=8h'A5;
//To exit deep sleep mode, send HWRESET to the DRIVER

parameter WRITE=8h'10;
parameter REFRESH=8h'12, REFRESHD=8h'01;
//During REFRESH BUSY=0, after REFRESH, BUSY=1 again.

reg width=800;
reg height=480;

assign DIN = din_r;
assign CS = cs_r;
assign DC = dc_r;
assign RST = rst_r;
assign BUSY = busy_r;

always @()
begin
	CS=1'b0;
	counter = 14'b0;
end

always @(posedge clk_eink)
	counter = counter + 1;

always @(!CS && posedge clk_10)
begin
	din_r = ;
end

endmodule